Subject: Re: [Idnet] Intelligence-Defined Network Architecture and Call for Interests

From: Juraj Giertl <[email-masked]>
Date: Sun, 2 Apr 2017 01:19:52 +0200

Hi all,

such an interesting reading led me to a reminiscence of my 10 years old
experiments with applying some adaptive techniques to the optimization of
network traffic monitoring [0],[1]. Obviously, we were struggling with the
lack of data sets, thus compensated the need for traffic classification
with the Kohonen's self-organizing maps resulting into a simple and rather
effective solution albeit a bit tedious during its initial deployment
(further research would have been necessary, but my job has changed).

Now, at the "operator" side, seeing tons of packets flowing through the
data center network, have no clue how to get and use them. Even though the
anonymization methods are well elaborated (e.g. in [2]), the recent
challenges are of another sort - cannot imagine what would need to be done
for bypassing the legal obligations.

All the best,

Juraj

[0] http://link.springer.com/article/10.1007/s10559-008-9005-0
[1] Adaptive sampling for network monitoring / Juraj Giertl [et al.], In:
ISAST Transactions on Communications and Networking. Vol. 1, no. 1 (2007),
p. 52-61. - ISSN 1797-0989
[2] https://datatracker.ietf.org/doc/html/rfc6235

On Fri, Mar 31, 2017 at 5:08 PM, David Meyer <[email-masked]> wrote:

> I don't think there is any question that there is a problem with data
> sets; as many of you know this has been one of my main points regarding
> what is holding back ML for networking over the last 4 or so years. Of
> course, how to solve this problem is a different question.
>
> However, as least I don't necessarily agree with this statement: " So my
> point is data set, not ML model.  We can select some existing models (SVM,
> ELM, bayes, etc) to learn different tasks. We do not research the principle
> of ML algorithm, but use them to slove [sic] network problems",  we might
> check out what Andrew says while discussing what the scare resources
> required to make progress in ML for any domain ([0], near the bottom):
>
> o Data. Among leading AI teams, many can likely replicate others’ software
> in, at most, 1–2 years. But it is exceedingly difficult to get access to
> someone else’s data. Thus data, rather than software, is the defensible
> barrier for many businesses.
>
> o Talent. Simply downloading and “applying” open-source software to your
> data won’t work. AI needs to be customized to your business context and
> data. This is why there is currently a war for the scarce AI talent that
> can do this work.
>
> There is a ton of experience (and literature) reinforcing these points,
> but suffice it to say that Andrew knows what he's talking about.
>
> In any event, it seems clear that we are all on the same page with respect
> to the problems with data sets (again, exactly how to solve this problem is
> open). However,  we seem to have a difference in our understanding of both
> the field is today and how we make progress. In particular, Andrew seems to
> be saying the opposite of what you say above (quoted text). My experience
> tracks more with what Andrew is saying.
>
> Summary:  We need to attack both problems.
>
> Dave
>
> [0] https://hbr.org/2016/11/what-artificial-intelligence-
> can-and-cant-do-right-now
>
>
> On Thu, Mar 30, 2017 at 6:04 PM, dingxiaojian (A) <
> [email-masked]> wrote:
>
>> Hi Brian,
>>     You are right.
>>      I have worked in an institute more than five years. The main work
>> is  use ML to solve the domain problem.  However, for privacy reason, it's
>> very hard to get some real domain data sets. So the results learned by any
>> ML models is not reliable.
>>     So I think the important/first thing we do is to construct real and
>> reliable data sets of network domain. Just like UCI repository (
>> https://archive.ics.uci.edu/ml/datasets.html) or images datasets (
>> https://www.cs.utah.edu/~lifeifei/datasets.html) . Only the common and
>> real data sets are agreed with all we, different ML models can be applied
>> to validate and predict.
>>    So my point is data set, not ML model.  We can select some existing
>> models (SVM, ELM, bayes, etc) to learn different tasks. We do not research
>> the principle of ML algorithm, but use them to slove network problems.
>>
>>  Best regards,
>>
>> Xiaojian
>>
>>
>> -----邮件原件-----
>> 发件人: IDNET [mailto:[email-masked]] 代表 Brian E Carpenter
>> 发送时间: 2017年3月30日 23:37
>> 收件人: Sheng Jiang <[email-masked]>; David Meyer <[email-masked]>
>> 抄送: [email-masked]
>> 主题: Re: [Idnet] Intelligence-Defined Network Architecture and Call for
>> Interests
>>
>> Agreed, and there are (still) two key points:
>>
>> 1. What is our underlying model (what Dave called a "theory of
>> networking")? With no such model, it's very hard to tell the ML system what
>> to do.
>>
>> 2. And as others have said: get hold of large datasets that can processed
>> by ML according to that model. For developing open solutions, a corpus of
>> open data sets seems essential. As anybody from the network measurement
>> community will tell you, getting hold of large data sets from operators is
>> extremely difficult for both privacy and commercial reasons.
>>
>>    Brian
>>
>>
>> On 31/03/2017 03:41, Sheng Jiang wrote:
>> > Hi, David,
>> >
>> > I think I agree with you, but in slight different  expression. Yes, the
>> hard parts of getting ML into Network lies on machine learning. But, it is
>> not that we need to develop any new ML technical/algorithms for networking
>> in particular. It is that we MUST re-set up our network domain knowledge
>> from the perspective of applying ML. My slides [0] does not suggest that
>> *someone else* will handle the ML part. Actually, oppositely, it suggests
>> some experts who have knowledge of both ML and network (probably we) would
>> develop tools/algorithms/systems to handle the ML part for other network
>> experts (more than 98 percent of current network administrators). So that,
>> these network experts would be allowed to manage their network easily with
>> intelligence association, but no need to become ML experts themselves.
>> Here, we would like to treat the network administrators like the users in
>> other successful ML application. We are the domian experts to do the dirty
>> AI work for them.
>> >
>> > I believe we have common understanding in the above description. But
>> certainly my slides needs further refine to clarify my viewpoint.
>> >
>> > Best regards,
>> >
>> > Sheng
>> > ________________________________
>> > From: IDNET [[email-masked]] on behalf of David Meyer
>> > [[email-masked]]
>> > Sent: 29 March 2017 2:01
>> > To: Sheng Jiang
>> > Cc: [email-masked]
>> > Subject: Re: [Idnet] Intelligence-Defined Network Architecture and
>> > Call for Interests
>> >
>> > s/NMRL/NMLRG/   (sorry about that). Dave
>> >
>> > On Tue, Mar 28, 2017 at 10:59 AM, David Meyer <[email-masked]<mailto:
>> [email-masked]>> wrote:
>> > Hey Sheng,
>> >
>> > I just wanted to revive my key concern on [0] (same one I made at the
>> NMRL): The hard parts of getting Machine Learning intelligence into
>> Networking is the Machine Learning part. In addition, successful deployment
>> of ML requires knowledge of ML combined with domain knowledge. We
>> definitely have the domain knowledge; the problem is that we don't have the
>> ML knowledge, and this is one of the big factors holding us back; see e.g.
>> Andrew's discussion of talent in [1].  Slides such as [0] seem to imply
>> that *someone else* (in particular, not us)  will handle the ML part of all
>> of this. I'll just note that in general successful deployments of ML don't
>> work this way; the domain experts will have to learn ML (and vice versa)
>> for us to be successful (again, see [1] and many others).
>> >
>> > Perhaps a useful exercise would be to write an ID that makes your
>> assumptions explicit?
>> >
>> > Thanks,
>> >
>> > Dave
>> >
>> >
>> > [0]
>> > https://www.ietf.org/proceedings/97/slides/slides-97-nmlrg-intelligenc
>> > e-defined-network-01.pdf [1]
>> > https://hbr.org/2016/11/what-artificial-intelligence-can-and-cant-do-r
>> > ight-now
>> >
>> >
>> > On Tue, Mar 28, 2017 at 9:29 AM, Sheng Jiang <[email-masked]
>> <mailto:[email-masked]>> wrote:
>> > Hi, all,
>> >
>> > Although there are many understanding for Intelligence-Defined Network,
>> we are actually using this IDN as a term reference to the SDN-beyond
>> architecture that we presented in IETF97, see the below link. A reference
>> model is presented in page 3, while potential standardization works is
>> presented in page 9.
>> >
>> > https://www.ietf.org/proceedings/97/slides/slides-97-nmlrg-intelligenc
>> > e-defined-network-01.pdf
>> >
>> > Although it might be a little bit too early for AI/ML in network giving
>> the recent story of the concluded proposed NMLRG, we still would like to
>> call for interests in IDN. Anybody (on site in Chicago this week) are
>> interested in this or even wider topics regarding to AI/ML in network,
>> please contact me on [email-masked]<mailto:[email-masked]>
>> . Then we may have an informal meeting to discuss some common interests and
>> potential future activities (not any activities in IETF, but also other STO
>> or experimental trails, etc.)  on Thursday morning.
>> >
>> > FYI, we have already working on a Work Item, called IDN in the ETSI NGP
>> (Next Generation Protocol) ISG, links below.
>> >
>> > https://portal.etsi.org/tb.aspx?tbid=844&SubTB=844
>> > https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=
>> > 51011
>> >
>> > Meanwhile, please do use this mail list as a forum to discuss any
>> topics that may applying AI/ML into network area.
>> >
>> > Best regards,
>> >
>> > Sheng
>> > _______________________________________________
>> > IDNET mailing list
>> > [email-masked]<mailto:[email-masked]>
>> > https://www.ietf.org/mailman/listinfo/idnet
>> >
>> >
>> >
>> >
>> >
>> > _______________________________________________
>> > IDNET mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/idnet
>> >
>>
>> _______________________________________________
>> IDNET mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/idnet
>> _______________________________________________
>> IDNET mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/idnet
>>
>
>
> _______________________________________________
> IDNET mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idnet
>
>

---

From: Pedro Martinez-Julia <[email-masked]>
Date: Mon, 3 Apr 2017 08:07:51 +0900

Hi,

During one of my last side meetings last week I thought that it could be
possible to ask IETF attendees to allow "us" to capture their traffic
(installing sniffers in the APs and routers). If anyone knows if it is
"plausible" and "possible", please let us know. Thank you.

Regards,
Pedro

-- 
Pedro Martinez-Julia
Network Science and Convergence Device Technology Laboratory
Network System Research Institute
National Institute of Information and Communications Technology (NICT)
4-2-1, Nukui-Kitamachi, Koganei, Tokyo 184-8795, Japan
Email: [email-masked]
---------------------------------------------------------
*** Entia non sunt multiplicanda praeter necessitatem ***